terraform {
    required_providers {
        proxmox =  {
        source = "Telmate/proxmox"
        version = "2.9.10"
        }
    }
}

# on regroupe les paramètres à adapter ici
locals {
  # point d'accès de l'API Proxmox
  proxmox_api = "https://proxmox-iutc3.unicaen.fr/api2/json"
  # proxmox_api = "https://192.168.1.101:8006/api2/json"
  
  proxmox_node = "pve1"
  
  # nom du template à cloner pour créer les VM
  template_name = "r408-template"
  # nom de la VM ou des VMs à  modifier dans le bloc "resource"...

  #paramètres de la VM
  vm_memory = 2048
}

provider "proxmox" {
    pm_api_url = local.proxmox_api
	pm_tls_insecure = true
}


resource "proxmox_vm_qemu" "tp_servers" {
  desc = "Deploiement de VMs Ubuntu sur Proxmox"
  count = 2
  name = "r408-vm${count.index + 1}-om"
  target_node = local.proxmox_node
  clone = local.template_name
  full_clone = true
  define_connection_info=true
  pool="INFO"

  cores = 1
  sockets = 1
  memory = local.vm_memory
  cpu = "host"
  scsihw = "virtio-scsi-pci"
  bootdisk = "scsi0"

  disk {
    slot = 0
    size = "16G"
    type = "scsi"
    storage = "info"
  }

  network {
    model = "virtio"
    bridge = "vmbr0"
  }
#  network {
#    model = "virtio"
#    bridge = "vmbr10"
#  }
}